// Extension Configuration
window.ATTAINMINT_CONFIG = {
  // API base URL - The server that handles authentication and data
  API_BASE_URL: 'https://attainmint.ai',
  
  // API endpoints
  API_ENDPOINTS: {
    // Auth endpoints
    AUTH: {
      GOOGLE_EXCHANGE: '/auth/google/exchange',
      REFRESH_TOKEN: '/auth/refresh',
      LOGOUT: '/auth/logout',
      VERIFY: '/auth/verify'
    },
    
    // User endpoints
    USER: {
      PROFILE: '/api/user/profile',
      SETTINGS: '/api/user/settings'
    },
    
    // Activity endpoints
    ACTIVITY: {
      RECORD: '/api/activity/record',
      LIST: '/api/activity/list',
      STATS: '/api/activity/stats'
    },
    
    // AI endpoints
    AI: {
      INSIGHTS: '/api/ai/insights',
      GENERATE: '/api/ai/generate'
    }
  },
  
  // Feature flags
  FEATURES: {
    ENABLE_INSIGHTS: true,
    ENABLE_SALESFORCE: true,
    ENABLE_LINKEDIN: true,
    ENABLE_GMAIL: true,
    ENABLE_HUBSPOT: true
  }
}; 